MAV_object(3)

NAME
MAV_object - Maverik object.

LEVEL
Maverik Level 2

SYNTAX

 typedef struct {
  void *the_data;
  MAV_class *the_class;
} MAV_object;

DESCRIPTION
A Maverik object is simply the encapsulation in a single data structure of a pointer to an object's data, the_data, and the methods which act upon it, the_class. This gives a generic handle to any object, regardless of class, and is used as the argument to other Maverik functions.

Applications would rarely need to explicitly create or directly access the fields of this data structure. This should be achieved by the mav_objectNew, mav_objectDataGet and mav_objectClassGet functions.

SEE ALSO
MAV_class, mav_objectNew, mav_objectDataGet, mav_objectClassGet